您尚未登录。

#1 2020-03-22 02:12:49

peak1203
会员
注册时间: 2020-03-22
帖子: 7

manjaro-pacman管理器在编译aur时,反复安装许多已有并且是相同版本的依赖, 请问应该如何避免安装这些依赖?

在dogedoge和google上用中英文搜了一下, 并且问了一下周围熟悉linux的朋友, 好像没有人遇到过这个问题,每次aur都要重装一遍, 浪费太多时间了, 麻烦各位大佬看一下, 谢谢了
由于需要发贴图, 为了引用图片, 同样的问题发在了CSDN上, 桌面环境是kde

以依赖acl 2.2.53.2为例,问题如图:
1584812315_333328.png
1584813590_589968.png
1584813307_644244.png




## 尝试使用以下办法但是并未解决该问题
1. 更新系统,sudo pacman -Syyuu,问题仍然存在
1584811218_623967.png

2.更换其他aur软件(例如wps, nordvpn等),问题仍然存在

3.重装该依赖,没有任何作用,问题依然存在

4.pacman内屏蔽某个依赖(如acl)的升级, 提示出错
1584812534_145565.png
1584812608_962111.png


5.修改/etc/pacman.conf,屏蔽HoldPkg/SyncFirst两个字段无效
1584812897_586240.png

6.修改/var/lib/pacman/sync/core.db,将acl依赖的系统版本号2.2.53-2改为2.2.54-2, 提示出错, 版本号与程序不兼容

1584813047_39995.png
1584813141_268968.png

7.mark as explicitly installed(标记为明确安装)和更换其他下载源也试了, 都还是不行

麻烦各位看看 十分感谢

最近编辑记录 peak1203 (2020-03-22 02:27:04)

离线

#2 2020-03-22 19:38:52

xtricman
エクス·トリクマン
注册时间: 2012-12-26
帖子: 1,222

Re: manjaro-pacman管理器在编译aur时,反复安装许多已有并且是相同版本的依赖, 请问应该如何避免安装这些依赖?

看pacman的手册,或--help,


反社会,精神极其不稳定,随时可能炸碎身边所有人

离线

#3 2020-03-23 07:36:03

千玄子
会员
所在地: 浙江杭州
注册时间: 2019-05-28
帖子: 41
个人网站

Re: manjaro-pacman管理器在编译aur时,反复安装许多已有并且是相同版本的依赖, 请问应该如何避免安装这些依赖?

你的意思是保留相关编译依赖?那在用 aur helper 的时候选择不移除编译依赖就可以了。manjaro 这个图形界面不知道有没有预留该选项,自己翻一翻设置,没有的话建议使用 yay 等 aur helper


探索未知使人迷醉

离线

#4 2020-03-24 01:44:19

peak1203
会员
注册时间: 2020-03-22
帖子: 7

Re: manjaro-pacman管理器在编译aur时,反复安装许多已有并且是相同版本的依赖, 请问应该如何避免安装这些依赖?

问题已解决,这两天一直在码所以没上社区回复   实在不好意思

解决办法和千玄子大大说的差不多, 是manjaro自带的pamac图形包管理器的问题, 不使用pamac来编译,使用makepkg命令来手动编译就好了

感谢各位大大的帮助    十分感谢

离线

#5 2020-03-24 01:45:55

peak1203
会员
注册时间: 2020-03-22
帖子: 7

Re: manjaro-pacman管理器在编译aur时,反复安装许多已有并且是相同版本的依赖, 请问应该如何避免安装这些依赖?

千玄子 说:

你的意思是保留相关编译依赖?那在用 aur helper 的时候选择不移除编译依赖就可以了。manjaro 这个图形界面不知道有没有预留该选项,自己翻一翻设置,没有的话建议使用 yay 等 aur helper

emmm我的意思是不要再重复安装相关依赖(emmm可能这么说您还是不太清楚,因为我这两天用cli来编译就没这个问题了,只有图形界面会无限提示安装安装一大堆依赖的情况, 您可能没遇到过这种情况)。这个应该算pamac这个图形界面的一个bug。不过您说的也是对的  用终端或者换个aur helper就可以了

十分感谢!

离线

#6 2020-03-24 01:46:22

peak1203
会员
注册时间: 2020-03-22
帖子: 7

Re: manjaro-pacman管理器在编译aur时,反复安装许多已有并且是相同版本的依赖, 请问应该如何避免安装这些依赖?

xtricman 说:

看pacman的手册,或--help,

emm虽然不是没看手册的问题,  不过已经解决啦  谢谢!

离线

页脚